import { Meta, Story, ArgsTable } from '@storybook/addon-docs/blocks';
import centeredDecorator from '@decorators/centeredDecorator';
import MultiSelect from '@standart/MultiSelect';
import { action } from '@storybook/addon-actions';
import Form from '@standart/Form';

<Meta title="Standart/Form/MultiSelect" component={MultiSelect} decorators={[centeredDecorator]} />

# Knobs

<Story
    name="Knobs"
    args={{
        options: [
            { value: 'chocolate', label: 'Chocolate' },
            { value: 'strawberry', label: 'Strawberry' },
            { value: 'vanilla', label: 'Vanilla' },
        ],
        onChange: action('change'),
    }}
>
    {args => (
        <Form style={{ width: 320 }} initialValues={{ select: [{ value: 'chocolate', label: 'Chocolate' }] }}>
            <Form.Field name="select">
                <MultiSelect isMulti {...args} />
            </Form.Field>
        </Form>
    )}
</Story>

Мультиселект. Может использоваться и в качестве одиночного селекта. Обязательно использовать внутри формы

## Props

<ArgsTable story="Knobs" />
